Do NOT Upgrade to WordPress 2.8 Automatically

Do NOT Upgrade to WordPress 2.8 Automatically

This is to everyone who have not yet upgraded to wordpress 2.8. Just a word of caution, do not use the wordpress automatic upgrade feature when upgrading your blog to wordpress 2.8. There is a bug on it that will cause you to lose your core wordpress files…

When logging in to your wordpress admin panel and you don’t have wordpress 2.8, you will most likely see this at the top… (it’s a nag bar lol)

Wordpress 2.8 Auto Upgrade

Clicking on the link will upgrade your wordpress installation automatically via the wordpress automatic upgrade feature. Do not click that. I got my info from this post, “WordPress 2.8.1 coming out soon“.

Based on the info, there is a risk that the auto-upgrade will delete the wordpress files IF there’s a file permission error on your server. This bug won’t affect everyone but it’s better to be safe than sorry so I suggest you do either of the following.

  • Wait for WordPress 2.8.1 before you do the upgrade automatically.
  • Upgrade your wordpress manually by uploading files.

That’s all for now.. ^^

17 thoughts on “Do NOT Upgrade to WordPress 2.8 Automatically

    1. Oh, that’s too bad. You should try to upgrade wordpress when something new comes out. But just to be on a safe side, just upgrade when you see something like, 2.7.1, 2.8.1, wait for that .1 since it can make a big difference.

  1. As soon as I saw the message I hit upgrade, luckily I had no problems though. Would have been seriously annoying if it just deleted everything. Thanks for the heads-up!

    1. Whew, I updated nearly the instant 2.8 came out like Bull3t here.

      I figured the auto update would’ve been tested while it was on beta. But luckily I didn’t have any problems apart from some plugin errors which were solved quite quickly when the plugins updated.

  2. i’m still using 2.7. could you lead me to the right link with the proper instructions please. i’m getting stress thinking how i’ll do it..:D

Leave a Reply